Bug 1687065 - acer travelmate spin b1 b118 kernel crash + recovery
Summary: acer travelmate spin b1 b118 kernel crash + recovery
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-09 10:01 UTC by richard meinsen
Modified: 2019-11-27 21:26 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:26:23 UTC
Type: Bug


Attachments (Terms of Use)
rawhide boot log / problem also with rawhide (310.13 KB, text/plain)
2019-03-09 11:19 UTC, richard meinsen
no flags Details

Description richard meinsen 2019-03-09 10:01:48 UTC
1. Problem:
with 
fedora 29 and fedora 28 (x86_64) on an 
acer travelmate spin b1 b118  I get the message that the 
kernel crashed, but recovered
on every boot
 
uefi/secure boot is active, / is encrypted on lvm.
the reporting tool says that the information is not sufficient for a report.


2. Version-Release number of the kernel:
4.20.13-200.fc29.x86_64 and earlier


3. For me It started with fedora 28 in spring/summer 2018 - first installation on that machine


4. happens on every boot


5. Did not try on rawhide yet


6. no modules that are not shipped directly with Fedora's kernel


7. the relevant part of the kernel log seems to be 

[   19.743055] ------------[ cut here ]------------
[   19.743058] couldn't get idr
[   19.743089] WARNING: CPU: 0 PID: 903 at drivers/i2c/i2c-core-base.c:1321 i2c_add_numbered_adapter+0x6a/0x80
[   19.743090] Modules linked in: ecdh_generic(+) idma64 lpc_ich mei_me snd_timer intel_lpss_pci(+) rfkill intel_lpss i2c_i801 snd intel_xhci_usb_role_switch roles mei processor_thermal_device soundcore intel_soc_dts_iosf pcc_cpufreq intel_vbtn int3403_thermal int3400_thermal sparse_keymap acpi_thermal_rel int340x_thermal_zone dm_crypt i915 rtsx_usb_sdmmc mmc_core kvmgt mdev vfio kvm crct10dif_pclmul crc32_pclmul crc32c_intel irqbypass i2c_algo_bit ghash_clmulni_intel drm_kms_helper drm serio_raw rtsx_usb r8169 hid_multitouch realtek video i2c_hid wmi pinctrl_broxton pinctrl_intel
[   19.743124] CPU: 0 PID: 903 Comm: systemd-udevd Not tainted 4.20.10-200.fc29.x86_64 #1
[   19.743125] Hardware name: Acer TravelMate Spin B118-RN/Virgo_AP, BIOS V1.10 02/27/2018
[   19.743129] RIP: 0010:i2c_add_numbered_adapter+0x6a/0x80
[   19.743131] Code: c0 36 30 a4 89 c5 e8 05 19 22 00 85 ed 78 0f 48 89 df 5b 5d e9 57 fb ff ff e9 32 ff ff ff 48 c7 c7 e9 46 15 a4 e8 30 4c 99 ff <0f> 0b b8 f0 ff ff ff 83 fd e4 5b 0f 44 e8 89 e8 5d c3 0f 1f 40 00
[   19.743132] RSP: 0000:ffffc0b600a4f750 EFLAGS: 00010282
[   19.743134] RAX: 0000000000000000 RBX: ffff9f6c364110d8 RCX: 0000000000000000
[   19.743135] RDX: 0000000000000010 RSI: ffffffffa499f630 RDI: 0000000000000246
[   19.743137] RBP: 00000000ffffffe4 R08: 0000000000000000 R09: 00000000000207c0
[   19.743138] R10: 0000000a79c5497f R11: 0000000000000001 R12: 00000000000000ab
[   19.743139] R13: ffffffffa4102d01 R14: 00000000003f3fee R15: ffffffffa42ec1e0
[   19.743141] FS:  00007f12a3a54940(0000) GS:ffff9f6c3ba00000(0000) knlGS:0000000000000000
[   19.743142] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   19.743143] CR2: 00007f12a360f970 CR3: 0000000176bc8000 CR4: 00000000003406f0
[   19.743145] Call Trace:
[   19.743153]  i2c_dw_probe+0x2fa/0x540
[   19.743156]  dw_i2c_plat_probe+0x314/0x610
[   19.743160]  ? acpi_dev_pm_attach+0x20/0xb0
[   19.743164]  platform_drv_probe+0x38/0x90
[   19.743167]  really_probe+0xf8/0x3b0
[   19.743169]  ? __driver_attach+0x110/0x110
[   19.743171]  driver_probe_device+0xb3/0xf0
[   19.743174]  ? __driver_attach+0x110/0x110
[   19.743176]  bus_for_each_drv+0x75/0xc0
[   19.743178]  __device_attach+0xd9/0x150
[   19.743180]  bus_probe_device+0x8a/0xa0
[   19.743184]  device_add+0x399/0x690
[   19.743187]  platform_device_add+0x111/0x260
[   19.743190]  mfd_add_device+0x406/0x530
[   19.743195]  ? dput.part.33+0x90/0x100
[   19.743198]  ? inode_doinit_with_dentry+0xe2/0x550
[   19.743202]  ? _cond_resched+0x15/0x30
[   19.743205]  mfd_add_devices+0xad/0x130
[   19.743210]  intel_lpss_probe+0x2eb/0x590 [intel_lpss]
[   19.743214]  ? pci_conf1_read+0xa4/0x100
[   19.743216]  ? pci_conf1_write+0xa4/0xf0
[   19.743221]  intel_lpss_pci_probe+0x79/0xa7 [intel_lpss_pci]
[   19.743224]  local_pci_probe+0x41/0x90
[   19.743228]  pci_device_probe+0x188/0x1a0
[   19.743230]  really_probe+0xf8/0x3b0
[   19.743233]  driver_probe_device+0xb3/0xf0
[   19.743235]  __driver_attach+0xdd/0x110
[   19.743237]  ? driver_probe_device+0xf0/0xf0
[   19.743239]  bus_for_each_dev+0x76/0xc0
[   19.743242]  ? klist_add_tail+0x3b/0x60
[   19.743244]  bus_add_driver+0x152/0x230
[   19.743246]  ? 0xffffffffc08a0000
[   19.743249]  driver_register+0x6b/0xb0
[   19.743250]  ? 0xffffffffc08a0000
[   19.743254]  do_one_initcall+0x46/0x1c3
[   19.743258]  ? free_unref_page_commit+0x9b/0x110
[   19.743260]  ? _cond_resched+0x15/0x30
[   19.743264]  ? kmem_cache_alloc_trace+0x15f/0x1e0
[   19.743267]  do_init_module+0x5a/0x210
[   19.743270]  load_module+0x208c/0x22f0
[   19.743274]  ? __do_sys_init_module+0x13d/0x180
[   19.743276]  __do_sys_init_module+0x13d/0x180
[   19.743280]  do_syscall_64+0x5b/0x160
[   19.743283]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   19.743285] RIP: 0033:0x7f12a47120ee
[   19.743288] Code: 48 8b 0d 9d 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 6a 1d 0c 00 f7 d8 64 89 01 48
[   19.743289] RSP: 002b:00007ffe10585ed8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[   19.743291] RAX: ffffffffffffffda RBX: 00005606c7034b90 RCX: 00007f12a47120ee
[   19.743292] RDX: 00007f12a488884d RSI: 0000000000006e16 RDI: 00005606c7090f30
[   19.743293] RBP: 00007f12a488884d R08: 00005606c702f7f0 R09: 0000000000000005
[   19.743294] R10: 0000000000000006 R11: 0000000000000246 R12: 00005606c7090f30
[   19.743296] R13: 00005606c702bec0 R14: 0000000000020000 R15: 0000000000000000
[   19.743298] ---[ end trace eb675891fd1dea6c ]---
[   19.743352] i2c_designware i2c_designware.0: failure adding adapter: -16
[   19.746993] i2c_designware: probe of i2c_designware.0 failed with error -16


I will attach a full log later

Comment 1 richard meinsen 2019-03-09 11:19:28 UTC
Created attachment 1542317 [details]
rawhide boot log / problem also with rawhide

changing kernel repo doesn't work as described in bug report template
"sudo dnf update kernel --enablerepo=rawhide" gives gpg key errors
"sudo dnf update kernel --enablerepo=rawhide --releasever=30 --nogpg" 
works but it would be better if --nogpg would not be necessary

Comment 2 Hans de Goede 2019-03-09 12:03:41 UTC
Hmm, this can only happen if their is no ACPI companion node for the controller, so I guess your ACPI tables are missing a node for one of the i2c-controllers.

I've written 2 patches to make the kernel deal properly with this.

I've just started a scratch kernel-build with the 2 patches for this added:
https://koji.fedoraproject.org/koji/taskinfo?taskID=33323493

Please give this a try once it is finished building (this will take a couple of hours), see here for generic instructions on how to test a kernel directly from koji:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Comment 3 richard meinsen 2019-03-10 14:40:18 UTC
thanks, with uefi turned of and installed as described the problem seems to be fixed by your patches.

will switch back to uefi on and wait till the patches are integrated in and delivered with the fedora std. kernel.
i can double check then => please give me a ping then if you want.

Comment 4 Hans de Goede 2019-03-11 11:23:36 UTC
Thank you for testing the patched kernel.

I've submitted the patches upstream now.

Comment 5 Ben Cotton 2019-10-31 19:49:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 21:26:23 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.